package com.zhiqiyun.open.core.enmus;


public enum BzDataType implements IBaseEnum {
    /**
     *
     */
    VENUE(1, "场馆"),
    SCENERY(2, "景区"),
    HOLIDAY_VILLAGE(3, "度假村"),
    HOTEL(4, "酒店"),
    HOME_STAY(5, "民宿"),
    TOURIST(6, "旅行社");

    private final int value;
    private final String text;

    BzDataType(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public static BzDataType valueOf(int value) {
        BzDataType[] values = BzDataType.values();
        for (BzDataType type : values) {
            if (type.value == value) {
                return type;
            }
        }
        return null;
    }


    public String getText() {
        return text;
    }

    public Integer getValue() {
        return value;
    }

    @Override
    public String getName() {
        return this.name();
    }
}
